
<div id="votations" class="row">
    {% for votation in votations %}
        <div class="col-sm-12">{% if noBeginHr is defined %}{% else %}<hr>{% endif %}</div>
        <div class="col-sm-12 defTitle">
            <span class="badge">{{ votation.votes/votation.weight }} votant.e.s</span>
            {% set description = votation.title|striptags|slice(0,150) %}

            {% if "now"|date('Y-m-d') > votation.endDate|date('Y-m-d') %}
                <span class="pull-left" style="padding-right: 10px">
                Vote clos
                </span>
                <span class="pull-right shortButton" style="color: white">
                        <a href="{{ path('votation_view', {"id": votation.id}) }}"
                           class="btn btn-primary btn-md">
                            <i class="fa fa-eye"></i> Voir les résultats
                        </a>
                    </span>
                    <a href="{{ path('votation_view', {id: votation.id}) }}">{{ description|raw }} {% if description | length > 149 %}...{% endif %}</a>
            {% else %}
                <div class="description">
                    <a href="{{ path('votation_view', {id: votation.id}) }}">{{ description|raw }} {% if description | length > 149 %}...{% endif %}</a>
                </div>
            <span class="pull-right shortButton" style="color: white">
                        <a href="{{ path('votation_view', {"id": votation.id}) }}"
                           class="btn btn-primary btn-md">
                            <i class="fa fa-eye"></i>
                        </a>
                    </span>
            {% if app.user.hasVoted(votation) %}
                <span class="pull-right" style="padding-right: 10px">
                Vous avez déjà voté
                </span>
            {% elseif is_granted('CAN_VOTE', votation) %}
                <span class="pull-right shortButton" style="color: white">
                        <a href="{{ path('votation_do', {"id": votation.id}) }}"
                           class="btn btn-primary btn-sm">
                            <i class="fa fa-hand-o-up"></i> Voter
                        </a>
                    </span>
            {% endif %}
            {% endif %}
        </div>
        <div class="col-sm-12" style="text-align: left">
            <p>
                <small>{{ votation.date|date('d/m/Y') }} - {{ votation.endDate|date('d/m/y') }}</small>
                <span class="label {% if votation.status == constant('AppBundle\\Entity\\Subscription\\Votation::STATUS_OPEN') %}label-green{% endif %}">{{ votation.status }}</span>
                {% if votation.referedGroups|length > 0 %}
                    {% for group in votation.referedGroups %}
                        <a href="{{ path('group_view', {id : group.id}) }}">
                            <span class="label label-{{ group.color ? : yellow }}">{{ group }}</span>
                        </a>
                    {% endfor %}
                {% endif %}
            </p>
        </div>
    {% endfor %}
</div>